[XML-SIG] PyXML + 4Suite compatibility

Alexandre Fayolle Alexandre.Fayolle at logilab.fr
Mon Jun 9 11:58:53 EDT 2003

On Thu, Jun 05, 2003 at 10:58:04AM +0300, Torsten Rueger wrote:
> The PyXML README says :
> If you want to use PyXML's experimental XSLT package, you need to pass
> --with-xslt to setup.py.  If you also want to install FourThought's
> 4Suite package, you should not install the XSLT package and also avoid
> the XPath package, so you can use the one from 4Suite.  This can be
> done by using the command line option --without-xpath.

The README should be updated. You can use the XPath implementation in
PyXML, but the XSLT implementation is broken. 

Recent versions of 4Suite are pyxml-agnostic. So you should be able to
use 4Suite's xslt and xpath with or without pyxml.

Alexandre Fayolle
LOGILAB, Paris (France).
http://www.logilab.com   http://www.logilab.fr  http://www.logilab.org
Développement logiciel avancé - Intelligence Artificielle - Formations

More information about the XML-SIG mailing list